VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "ContentHandler"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Implements IVBSAXContentHandler

Private lCurrentBook As Long
Private lCurrentChapter As Long
Private sCurrentNode As String

Private Sub IVBSAXContentHandler_startElement(strNamespaceURI As String, strLocalName As String, strQName As String, ByVal oAttributes As MSXML2.IVBSAXAttributes)
    Debug.Print "IVBSAXContentHandler_startElement()"
    Debug.Print "strNamespaceURI: """ & strNamespaceURI & """"
    Debug.Print "strLocalName: """ & strLocalName & """"
    Debug.Print "strQName: """ & strQName & """"
End Sub

Private Sub IVBSAXContentHandler_characters(strChars As String)
    Debug.Print "IVBSAXContentHandler_characters()"
    Debug.Print "strChars: """ & strChars & """"
End Sub

Private Property Set IVBSAXContentHandler_documentLocator(ByVal RHS As MSXML2.IVBSAXLocator)
    Debug.Print "IVBSAXContentHandler_documentLocator()"
    Debug.Print "RHS.columnNumber: " & RHS.columnNumber
    Debug.Print "RHS.lineNumber: " & RHS.lineNumber
    Debug.Print "RHS.publicId: " & RHS.publicId
    Debug.Print "RHS.systemId: " & RHS.systemId
End Property

Private Sub IVBSAXContentHandler_endDocument()
    Debug.Print "IVBSAXContentHandler_endDocument()"
End Sub

Private Sub IVBSAXContentHandler_endElement(strNamespaceURI As String, strLocalName As String, strQName As String)
    Debug.Print "IVBSAXContentHandler_endElement()"
    Debug.Print "strNamespaceURI: """ & strNamespaceURI & """"
    Debug.Print "strLocalName: """ & strLocalName & """"
    Debug.Print "strQName: """ & strQName & """"
End Sub

Private Sub IVBSAXContentHandler_endPrefixMapping(strPrefix As String)
    Debug.Print "IVBSAXContentHandler_endPrefixMapping"
    Debug.Print "strPrefix: """ & strPrefix & """"
End Sub

Private Sub IVBSAXContentHandler_ignorableWhitespace(strChars As String)
    Debug.Print "IVBSAXContentHandler_ignorableWhitespace"
    Debug.Print "strChars: """ & strChars & """"
End Sub

Private Sub IVBSAXContentHandler_processingInstruction(strTarget As String, strData As String)
    Debug.Print "IVBSAXContentHandler_processingInstruction()"
    Debug.Print "strChars: """ & strTarget & """"
    Debug.Print "strData: """ & strData & """"
End Sub

Private Sub IVBSAXContentHandler_skippedEntity(strName As String)
    Debug.Print "IVBSAXContentHandler_skippedEntity()"
    Debug.Print "strData: """ & strData & """"
End Sub

Private Sub IVBSAXContentHandler_startDocument()
    Debug.Print "IVBSAXContentHandler_startDocument()"
End Sub

Private Sub IVBSAXContentHandler_startPrefixMapping(strPrefix As String, strURI As String)
    Debug.Print "IVBSAXContentHandler_startPrefixMapping()"
    Debug.Print "strPrefix: """ & strPrefix & """"
    Debug.Print "strURI: """ & strURI & """"
End Sub
